Instalación en SAP GUI Java

Los prerequisitos para SAP GUI For Java tanto para macOS como Linux son:

Oracle Java SE 8

OpenJFX 11

Descargamos las versiones correspondientes y las instalamos.

En el caso de OpenJFX 11 debemos descomprimir el zip y copiarlo en un directorio común para que las aplicaciones lo utilicen. Para macOS bajo /Applications, para Linux puede ser bajo /opt

Descargamos la versión de SAP GUI para nuestra plataforma y a continuación debemos lanzar la instalación

java -jar PlatinGUIxxxx.jar

Es probable que tengamos este error. Dentro de “module path” debemos poner la ruta hacia el lib de la instalación de OpenJFX. Ej:

  • /Applications/javafx-sdk-11.0.2/lib/
  • /opt/javafx-sdk-11.0.2/lib/

Nos habilitará el botón Next y podremos culminar la instalación.